org.apache.ignite.internal.management.kill

## Class KillScanCommand

- java.lang.Object
- - org.apache.ignite.internal.management.kill.KillScanCommand

All Implemented Interfaces:
  Command<KillScanCommandArg,Void>, ComputeCommand<KillScanCommandArg,Void>

    public class KillScanCommand
    extends Object
    implements ComputeCommand<KillScanCommandArg,Void>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
Constructor and Description
`KillScanCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<KillScanCommandArg>` `argClass()`
`String` `description()` Command description.
`Class<ScanQueryCancelTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`nodes, printResult`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Constructor Detail

#### KillScanCommand

    public KillScanCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<KillScanCommandArg,Void>`

#### argClass

    public Class<KillScanCommandArg> argClass()

Specified by:
  `argClass` in interface `Command<KillScanCommandArg,Void>`
Returns:
  Arguments class.

#### taskClass

    public Class<ScanQueryCancelTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<KillScanCommandArg,Void>`
Returns:
  Task class.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023